API Reference for Marketo Engage

Update Smart Campaign

POST /rest/asset/v1/smartCampaign/{id}.json

Update the smart campaign for the given id.

Operation ID
updateSmartCampaignUsingPOST
Permissions
Read-Write Assets
Request format
application/json
Returns
ResponseOfSmartCampaignResponse

Parameters

Path 1

id integer (int32) required

Id for the smart campaign

Request body

application/json · required · UpdateSmartCampaignRequest · 2 properties

description string

Description of the smart campaign

name string

Name of the smart campaign

Responses

200 OK ResponseOfSmartCampaignResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of SmartCampaignResponse

Model SmartCampaignResponse

id integer (int32) required

Id of the smart campaign (system managed)

name string required

Name of the smart campaign

description string required

Description of the smart campaign

type string required

Type of the smart campaign. Batch: has at least one filter and no triggers. Trigger: has at least one trigger. Default: has no smart list rules

Values batch default trigger

isSystem boolean required

Whether smart campaign is system managed. Defaults to false

isActive boolean required

Whether smart campaign is active. Defaults to false

isRequestable boolean required

Whether smart campaign is requestable (is active and contains 'Campaign is Requested' trigger with Source of 'Web Service API'). Defaults to false

recurrence Recurrence required

Recurrence schedule of batch smart campaign

Model Recurrence

startAt string (date-time) required

Datetime of the first scheduled campaign to run. Required if setting recurrence. Not required to create a smart campaign that has no recurrence

endAt string (date-time) required

Datetime after which no further runs will be automatically scheduled

intervalType string required

Recurrence interval. Not required to create a smart campaign that has no recurrence

Values Daily Weekly Monthly

interval integer (int32) required

Number of interval units between recurrences

weekdayOnly boolean required

Only run smart campaign on weekdays. May only be set if intervalType is 'Daily'. Defaults to false

weekdayMask array of string required

String array of empty or one or more of 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday'. May only be set if intervalType is 'Weekly'

dayOfMonth integer (int32) required

Day of the month to recur. Permissible range 1-31. May only be set if intervalType is 'Monthly' and dayOfWeek and weekOfMonth are unset.

dayOfWeek string (int32) required

Day of the week to recur. May only be set if dayOfMonth is not set, and weekOfMonth is set

Show all 7 values

Monday Tuesday Wednesday Thursday Friday Saturday Sunday

weekOfMonth integer (int32) required

Week of the month to recur. Permissible range 1-4. May only be set if dayOfMonth is not set, and dayOfWeek is set

qualificationRuleType string required

Type of qualification rule. Defaults to 'once'

Values once any interval

qualificationRuleInterval integer required

Interval of qualification rule. Only set when qualificationRuleType is 'interval'

qualificationRuleUnit string required

Unit of measure of qualification rule. Only set when qualificationRuleType is 'interval'

Values hour day week month

maxMembers integer (int32) required

Smart campaign membership limit

isCommunicationLimitEnabled boolean required

Whether smart campaign communication limit is enabled (i.e. block non-operational emails). Defaults to false

smartListId integer (int32) required

Id of the smart campaign's child smart list

flowId integer (int32) required

Id of the smart campaign's child flow

parentProgramId integer (int32)

Parent program Id. Present if smart campaign is under program or nested folder

folder Folder required

JSON representation of parent folder, with members 'id', and 'type' which may be 'Folder' or 'Program'

Model Folder

id integer (int32) required

Id of the folder

type string required

Type of folder

Values Folder Program

createdAt string (date-time) required

Datetime when the smart campaign was created

updatedAt string (date-time) required

Datetime when the smart campaign was most recently updated

workspace string required

Name of the smart campaign workspace

computedUrl string

URL to asset in Marketo Engage

status string required

Status of smart campaign

Show all 7 values

Inactive Single Run Invalid Recurring Run Active Requested Never Run

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "name": "Example name",
      "description": "string",
      "type": "batch",
      "isSystem": true,
      "isActive": true,
      "isRequestable": true,
      "recurrence": {
        "startAt": "2026-01-15T10:30:00Z",
        "endAt": "2026-01-15T10:30:00Z",
        "intervalType": "Daily",
        "interval": 123,
        "weekdayOnly": true,
        "weekdayMask": [
          "string"
        ],
        "dayOfMonth": 123,
        "dayOfWeek": "Monday",
        "weekOfMonth": 123
      },
      "qualificationRuleType": "once",
      "qualificationRuleInterval": 123,
      "qualificationRuleUnit": "hour",
      "maxMembers": 123,
      "isCommunicationLimitEnabled": true,
      "smartListId": 123,
      "flowId": 123,
      "parentProgramId": 123,
      "folder": {
        "id": 123,
        "type": "Folder"
      },
      "createdAt": "2026-01-15T10:30:00Z",
      "updatedAt": "2026-01-15T10:30:00Z",
      "workspace": "string",
      "computedUrl": "https://example.com",
      "status": "Inactive"
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results